%global commit 94677dc52fe1c2ea6fe42bd5acdbddab755eeb0b
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global owner croscato

Name:		QMsgBox
Version:	0
Release:	1.20130830git%{shortcommit}%{?dist}
Summary:	Solves a problem that prevents qt message icons from being displayed
License:	GPLv3+
URL:		http://www.qtcentre.org/wiki/index.php?title=QMsgBox_%28Solves_the_QMessageBox_icon_problem%29
Source0:	https://github.com/croscato/QMsgBox/tarball/%{commit}/%{owner}-%{name}-%{shortcommit}.tar.gz

BuildRequires:	qt4-devel

%description
QMsgBox is a class that inherits QMessageBox to replace the static
functions:
* QMessageBox::warning
* QMessageBox::information
* QMessageBox::critical
* QMessageBox::question 

All other functions remain the same. The usage of the replaced
function also remains the same.

The objective of this class is to solve a problem that prevents the
message icon from being displayed in some platforms with some Qt
styles.


%package devel
Summary:	Development headers and libraries for QMsgBox
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the development headers and libraries necessary
for compiling code against QMsgBox.


%prep
%setup -q -n %{owner}-%{name}-%{shortcommit}
# Plug in correct install path
sed -i "s|target.path = .*|target.path = %{buildroot}%{_libdir}|g" src/src.pro
# Fix EOL encoding
for f in LICENSE.GPL3; do
    sed 's|\r||g' $f > $f.new && \
	touch -r $f $f.new && \
	mv $f.new $f
done
# Fix file permissions
find . -type f -exec chmod 644 {} \;

%build
%{_qt4_qmake}
make %{?_smp_mflags}

%install
make install
# Install header file
install -D -p -m 644 src/qmsgbox.h %{buildroot}%{_includedir}/QMsgBox.h
# and symlink
ln -s %{_includedir}/QMsgBox.h %{buildroot}%{_includedir}/qmsgbox.h

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc LICENSE.GPL3
%{_libdir}/libQMsgBox.so.*

%files devel
%{_includedir}/QMsgBox.h
%{_includedir}/qmsgbox.h
%{_libdir}/libQMsgBox.so

%changelog
* Fri Aug 30 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 0-1.20130830git94677dc
- First release.
